import javax.swing.SwingUtilities;

public class Problem2 extends Problem1 {
    public Problem2() {
    }
    
    // animate the rectangle by moving it 
    // for 2 seconds in a tight loop
    public void animate() {
        int startX = 20;
        int endX = 220;
        
        long now = System.currentTimeMillis();
        long startTime = now;
        long endTime = now + 2000;
        
        while (now <= endTime) {
            // s is the fraction of the animation that has elapsed (in the range [0,1])
            double s = ((double)now - startTime) / (endTime - startTime);
            
            // move the rectangle to the correct place between startX and endX,
            // as a function of s
            // x = YOUR CODE HERE;
            
            // paint the rectangle
            paintImmediately();
            
            // fetch the current time again
            now = System.currentTimeMillis();
        }
    }
        
    // main: create a test window
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run () {
                makeFrame("Problem 2", new Problem2());
            }
        });
    }
}
