import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.SwingUtilities;
import javax.swing.Timer;

public class Problem3 extends Problem1 {
    
    public Problem3() {
    }

    Timer timer;
    
    public void animate() {
        final int startX = 20;
        final int endX = 220;

        // put the rectangle in its start position
        x = startX;
        repaint();

        int delay = 10; // milliseconds
        
        // create a timer that fires every <delay> milliseconds
        timer = new javax.swing.Timer(delay, new ActionListener() {
            public void actionPerformed(ActionEvent event) {
                // nudge the rectangle over by 1 pixel
                ++x;
                repaint();
                
                // stop if we hit the end of the animation
                if (x >= endX) {
                    timer.stop();
                }
            }
        });
        
        // start the timer
        timer.start();
    }                
    
    // main: create a test window
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run () {
                makeFrame("Problem 3", new Problem3());
            }
        });
    }
}

